## org.gnu.gtk
Class FileFilter

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.FileFilter

public class FileFilter
extends GObject

Constructor Summary
`FileFilter()` Creates a new FileFilter with no rules added to it.

Method Summary
`void` `addMimeType(java.lang.String mimeType)` Adds a rule allowing a given mime type to filter.
`void` `addPattern(java.lang.String pattern)` Adds a rule allowing a shell style glob to a filter.
`java.lang.String` `getName()` Returns the human readable name of the file filter.
`void` `setName(java.lang.String name)` Sets the human readable name for the filter.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileFilter

    public FileFilter()

  Creates a new FileFilter with no rules added to it. Such a filter doesn't accept any files, so is not particularly useful until you add rules with addMimeType() or addPattern().

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the human readable name for the filter. This is the string that will be displayed in the file selector user interface if there is a selectable list of filters.

  Parameters:
    `name` - The name of the filter.

### getName

    public java.lang.String getName()

  Returns the human readable name of the file filter.

### addMimeType

    public void addMimeType(java.lang.String mimeType)

  Adds a rule allowing a given mime type to filter.

### addPattern

    public void addPattern(java.lang.String pattern)

  Adds a rule allowing a shell style glob to a filter.